/*     
 * $RCSfile: utils.c,v $
 *
 * x-kernel v3.2
 *
 * Copyright (c) 1993,1991,1990  Arizona Board of Regents
 *
 *
 * $Log: utils.c,v $
 * Revision 1.1  1994/05/05 23:06:13  slm
 * Initial revision
 *
 */


static char *type2str(int);

static char *type2str(type)
int type;
{
    switch (type) {
        case DIRECTORY_TYPE:
	    return "DIRECTORY";
        case MEMBERSHIP_TYPE:
	    return "MEMBERSHIP";
        case MONITOR_TYPE:
	    return "MONITOR";
        case RECOVERY_TYPE:
	    return "RECOVERY";
        case TOTAL_TYPE:
	    return "TOTAL";
        case TOTAL_ALIVE_TYPE:
	    return "TOTAL_ALIVE";
        default:
	    {
	    static char buf[30];

	    sprintf(buf, "NO SUCH TYPE (%d)", type);
	    return buf;
	    }
    }
}
